Package org.tmatesoft.svn.core.wc2.admin

# Class SvnRepositoryLoad

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<T>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNAdminEvent>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryLoad

All Implemented Interfaces:
  `ISvnObjectReceiver<SVNAdminEvent>`, `ISvnOperationOptionsProvider`

public class SvnRepositoryLoad extends SvnRepositoryReceivingOperation<SVNAdminEvent>

## Constructor Summary

Constructors
Constructor
Description
`SvnRepositoryLoad(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getDumpStream()`
`String`
`getParentDir()`
`SVNUUIDAction`
`getUuidAction()`
`protected void`
`initDefaults()`
`boolean`
`isUsePostCommitHook()`
`boolean`
`isUsePreCommitHook()`
`void`
`setDumpStream(InputStream dumpStream)`
`void`
`setParentDir(String parentDir)`
`void`
`setUsePostCommitHook(boolean usePostCommitHook)`
`void`
`setUsePreCommitHook(boolean usePreCommitHook)`
`void`
`setUuidAction(SVNUUIDAction uuidAction)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

`getRepositoryRoot, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRepositoryLoad

public SvnRepositoryLoad(SvnOperationFactory factory)

## Method Details

### initDefaults

protected void initDefaults()

Overrides:
  `initDefaults` in class `SvnReceivingOperation<SVNAdminEvent>`

### getDumpStream

public InputStream getDumpStream()

### setDumpStream

public void setDumpStream(InputStream dumpStream)

### isUsePreCommitHook

public boolean isUsePreCommitHook()

### setUsePreCommitHook

public void setUsePreCommitHook(boolean usePreCommitHook)

### isUsePostCommitHook

public boolean isUsePostCommitHook()

### setUsePostCommitHook

public void setUsePostCommitHook(boolean usePostCommitHook)

### getUuidAction

public SVNUUIDAction getUuidAction()

### setUuidAction

public void setUuidAction(SVNUUIDAction uuidAction)

### getParentDir

public String getParentDir()

### setParentDir

public void setParentDir(String parentDir)